
/* @viewport { width: device-width; } */

/* small screen nav menu breakpoint 500px */

body
{
  background: #ffc url(images/tile-bg.jpg);
  color: #f0f;
  font-family: Helvetica, Arial, sans-serif;
}

h1, h2, h3, h4, h5, h6
{
  margin: 5px auto;
  color: #060;
  background: none;
  border-radius: 5px;
}

h1 { font-size: 150% }
h2 { font-size: 140% }
h3 { font-size: 120% }
h4 { font-size: 110%; }
h5 { font-size: 105%; }
h6 { font-size: 100%; }

/* does not show on screen, but is processed by screen readers.
 * Useful for hiding visually redundant <label> elements
 * See https://www.w3.org/WAI/tutorials/forms/labels/#hiding-the-label-element
 */
.visuallyhidden
{
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

@media screen and (max-width: 500px)
{
  h1, h2, h3 { margin: 2px auto; text-align: center;}
}

.clearfloat
{
  clear: both;
}  

.centretext { text-align: center; }

a
{
  background: #e8f0e8;
  color: black;
  text-decoration: none;
}

a:hover { color: black; text-decoration: underline; background: #d0e0d0;}

/*
 * Overall page layout
 *   +------------wholepage-----------------------+
 *   | +--------------navheader-----------------+ |
 *   | |      +----------navmenu--------+       | |
 *   | |      |                         |       | |
 *   | |      +-------------------------+       | |
 *   | +----------------------------------------+ |
 *   | +---------------content------------------+ |
 *   | |                                        | |
 *   | +----------------------------------------+ |
 *   +--------------------------------------------+
 */

/* 
 * Set size limits and background for the whole page, both navigation
 * and content. Centred as a block if page is wide enough
 */
div.wholepage
{
  width: 100%;
  margin: auto;
}

/* contains nav information, full width, colour background or images */
div.navheader
{
  background: white;
  color: #060;
}

/* holds logo image and menu, centred as a block */ 
div.logonav
{
  width: max-content;
  max-width: 100%;
  margin: auto;
  text-align: center;
}

img.headerlogo 
{
  display: inline-block;
  vertical-align: bottom;
  max-width: 90%;
}


/* contains nav buttons or icon, set positioning */
div.navmenu
{
  display: inline-block;
  vertical-align: bottom;
  max-width: 100%;
  padding: 5px;
  text-align: center;
  margin: 0 0 0 20px;
}



/* under nav header, all page content */
div.content
{
  background: transparent;
  color: black;
  border-radius: 5px;
  width: max-content;
  max-width: 100%;
  margin: auto;
}


/* buttons for wide screen menu */
a.navlink
{
  display: inline-block;
  vertical-align: top;
  font-size: 90%;
  text-decoration: none;
  margin: 2px 0;
  width: max-content;
  padding: 2px 1px;
  border-radius: 3px;
  background: none;
  border: 1px solid transparent;
  color: black;
  text-align: center;
}

a.navlink:hover
{
  background: white;
  color: black;
  border: 1px solid #ca9;
}

a.selflink, a.selflink:hover
{
  color: black;
  background: #fba;
  border: thin solid #633;
}

/* hide small menu and icon for wide screen */
div.smallnavmenu { display: none }
div.menuicon { display: none }
div.menuiconcontainer { display: none }

/* Nav menu changes for small screen */

@media screen and ( max-width: 500px )
{
  div.navmenu { display: none }
  /* contains site name/logo and hamburger icon */
  div.smallnavmenu 
  { 
    display: block; 
    padding: 0 5px 5px;
    min-height: 30px;
  }

  img.headerlogo
  {
    display: none;
  }

  img.smallheaderlogo
  {
    width: 80%;
  }

  div.smallnavmenu div.titles
  {
    display: inline-block;
    vertical-align: top;
    width: 80%;
    margin: 0;
  }

  div.smallnavmenu div.titles h1, div.smallnavmenu div.titles h2
  { background: none; }

  div.smallnavmenu a { background: none; }


  /* styles for dropdown menu */
  a.navlink 
  { 
    display: block;
    margin: 10px auto;
    width: 100%;
    font-size: 100%;
  }

  /* menu icon ("hamburger") and 'menu' text if shown */
  div.menuiconcontainer, div.menuiconcontainer a
  { 
    display: inline-block; 
    vertical-align: top;
    width: 18%;
    color: black;
    text-decoration: none;
    font-size: 90%;
  }


  div.menuicon
  {
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    height: 20px;
  }

  div.menuicon div.menuline
  {
    display: block;
    vertical-align: middle;
    margin: 3px;
    height: 3px;
    width: 18px;
    background: black;
  }
}

/* captioned images */
div.caption 
{ 
  font-family: 'Times New Roman', serif; 
  font-style: italic; 
  text-align: center;
  color: black;
  background: white;
}

/**** text boxes ****/

div.panel
{
  max-width: 600px;
  padding: 10px;
  margin: 10px auto;
  border-radius: 5px;
  background: rgb(255,255,2155,0.9);
}

@media screen and (max-width: 500px)
{
  div.panel {font-size: 90%;}
}


/******* footer ********/

div.footer
{
  background: white;
  color: black;
  text-align: center;
}

@media screen and ( max-width: 500px )
{
  div.footer div.address { font-size: 90%; }
}

div.footer div.address { padding: 10px; }

div.hostinglink
{
  background: #ccb;
  color: #330;
  font-size: 90%;
  margin: 0 auto 0;
  padding: 2px 5px;
}

div.hostinglink a { background: none; color: #330; }

@media screen and ( max-width: 500px )
{
  div.hostinglink a { text-decoration: underline; }
} 

div.footlinks, div.footphones
{ 
  display: inline-block;
  font-size: 90%;
  margin: 0 10px;
}

div.footer span.nowrap { white-space: nowrap }



/******* images ******/
img.topstrip
{
  display: block;
  width: 100%;
  max-width: 1024px;
  margin: auto;
}

/**** sitemap ****/
table.sitemap tr td
{
  border: 1px solid black;
  padding: 5px;
  background: white;
}

div.errorbox
{
  margin: 10px;
  width: max-content;
  max-width: 80%;
  max-width: calc(100% - 44px);
  padding: 10px;
  color: red;
  border: 2px solid red;
  background: white;
}

div.testmode { color: red; }
